<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.shcd.mapper.ShipLockStatisticDetailMapper">

    <resultMap id="BaseResultMap" type="com.shcd.entity.ShipLockStatisticDetail">
            <id property="pkId" column="PK_ID" jdbcType="VARCHAR"/>
            <result property="betweenTime" column="BETWEEN_TIME" jdbcType="TIMESTAMP"/>
            <result property="dtCloseLockTime" column="DT_CLOSE_LOCK_TIME" jdbcType="TIMESTAMP"/>
            <result property="dtOpenLockTime" column="DT_OPEN_LOCK_TIME" jdbcType="TIMESTAMP"/>
            <result property="nmDownGreenShip" column="NM_DOWN_GREEN_SHIP" jdbcType="DECIMAL"/>
            <result property="nmDownGreenWeight" column="NM_DOWN_GREEN_WEIGHT" jdbcType="DECIMAL"/>
            <result property="nmDownLock" column="NM_DOWN_LOCK" jdbcType="DECIMAL"/>
            <result property="nmDownOutsideShip" column="NM_DOWN_OUTSIDE_SHIP" jdbcType="DECIMAL"/>
            <result property="nmDownOutsideWeight" column="NM_DOWN_OUTSIDE_WEIGHT" jdbcType="DECIMAL"/>
            <result property="nmDownSocialShip" column="NM_DOWN_SOCIAL_SHIP" jdbcType="DECIMAL"/>
            <result property="nmDownSocialWeight" column="NM_DOWN_SOCIAL_WEIGHT" jdbcType="DECIMAL"/>
            <result property="nmLockType" column="NM_LOCK_TYPE" jdbcType="DECIMAL"/>
            <result property="nmPassGreenShip" column="NM_PASS_GREEN_SHIP" jdbcType="DECIMAL"/>
            <result property="nmPassGreenWeight" column="NM_PASS_GREEN_WEIGHT" jdbcType="DECIMAL"/>
            <result property="nmPassShip" column="NM_PASS_SHIP" jdbcType="DECIMAL"/>
            <result property="nmPassSocialShip" column="NM_PASS_SOCIAL_SHIP" jdbcType="DECIMAL"/>
            <result property="nmPassSocialWeight" column="NM_PASS_SOCIAL_WEIGHT" jdbcType="DECIMAL"/>
            <result property="nmPassWeight" column="NM_PASS_WEIGHT" jdbcType="DECIMAL"/>
            <result property="nmTotalLock" column="NM_TOTAL_LOCK" jdbcType="DECIMAL"/>
            <result property="nmUpGreenShip" column="NM_UP_GREEN_SHIP" jdbcType="DECIMAL"/>
            <result property="nmUpGreenWeight" column="NM_UP_GREEN_WEIGHT" jdbcType="DECIMAL"/>
            <result property="nmUpInsideShip" column="NM_UP_INSIDE_SHIP" jdbcType="DECIMAL"/>
            <result property="nmUpInsideWeight" column="NM_UP_INSIDE_WEIGHT" jdbcType="DECIMAL"/>
            <result property="nmUpLock" column="NM_UP_LOCK" jdbcType="DECIMAL"/>
            <result property="nmUpSocialShip" column="NM_UP_SOCIAL_SHIP" jdbcType="DECIMAL"/>
            <result property="nmUpSocialWeight" column="NM_UP_SOCIAL_WEIGHT" jdbcType="DECIMAL"/>
            <result property="stDayStatisticId" column="ST_DAY_STATISTIC_ID" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        PK_ID,BETWEEN_TIME,DT_CLOSE_LOCK_TIME,
        DT_OPEN_LOCK_TIME,NM_DOWN_GREEN_SHIP,NM_DOWN_GREEN_WEIGHT,
        NM_DOWN_LOCK,NM_DOWN_OUTSIDE_SHIP,NM_DOWN_OUTSIDE_WEIGHT,
        NM_DOWN_SOCIAL_SHIP,NM_DOWN_SOCIAL_WEIGHT,NM_LOCK_TYPE,
        NM_PASS_GREEN_SHIP,NM_PASS_GREEN_WEIGHT,NM_PASS_SHIP,
        NM_PASS_SOCIAL_SHIP,NM_PASS_SOCIAL_WEIGHT,NM_PASS_WEIGHT,
        NM_TOTAL_LOCK,NM_UP_GREEN_SHIP,NM_UP_GREEN_WEIGHT,
        NM_UP_INSIDE_SHIP,NM_UP_INSIDE_WEIGHT,NM_UP_LOCK,
        NM_UP_SOCIAL_SHIP,NM_UP_SOCIAL_WEIGHT,ST_DAY_STATISTIC_ID
    </sql>
</mapper>
